Bug 12831 - Kickstart installations fail with ks.cfg on a SCSI ext2 partition
Kickstart installations fail with ks.cfg on a SCSI ext2 partition
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-06-22 18:56 EDT by Jacob
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-08 14:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jacob 2000-06-22 18:56:54 EDT
When using a boot floppy (either boot.img or bootnet.img from the images
directory of a standard 6.2 distribution CD) to initialise a Kickstart
installation, the documentation explains that a ks.cfg file can reside on a
local harddrive.

If the harddrive is SCSI and the file is located on a ext2 partition, it
cannot be found.  You don't even receive an error message stating that the
installer couldn't find ks.cfg it just stops on the "Choose a Language"

This works from IDE drives, or from SCSI devices off msdos partitions, just
not off ext2 partitions on SCSI drives.
Comment 1 Brock Organ 2000-06-27 17:45:41 EDT
hmmm ... using sda1 on an advansys scsi card works for me with:

boot: linux ks=hd:sda1/ks.cfg

what kind of scsi card are you using ...? Does it's module load before fetching
the kickstart file ...?
Comment 2 Jacob 2000-06-29 16:50:40 EDT
The module doesn't load when the kernel starts up, I assumed it would occur when
once the install program starts up (similar when in manual mode).  I found
instructions about looking at the modules.cgz in the initrd.img on the
bootnet.img, and noticed that the module for Adaptec adapters doesn't seem to be

Does this need to be added, or is this supposed to be handled at someother time
during the install program?  If my problem is that it just needs to be added,
are there instructions for doing so?
Comment 3 Michael Fulbright 2000-07-13 15:02:55 EDT
What card are you using and which driver module does it require?
Comment 4 Jacob 2000-07-13 17:09:09 EDT
ADAPTER: Adaptec 2940
MODULE: aic7xxx
Comment 5 Jacob 2000-08-04 14:09:36 EDT
OK, here's what i've done.  I grabbed the aic7xxx.o module from boot.img and
added it to modules.cgz on bootnet.img (following Kickstart HowTo).  It took up
too much space so I removed the 3c*, de*, and wavelan modules.

I also looked at the modules/module-info on boot.img and added the aic7xxx entry
to the same file on bootnet.img.  And, i added the aic7xxx lines from
modules/pcitable on boot.img to the same file on bootnet.img.

When kickstarting now a message window pops up for a second saying that the
aic7xxx module is loading, but then it disappears and some error messages
stating "error 2 header not readable: Success" appear in the background, then it
just stops at the select language screen.

I tried removing the entries for modules i removed from all the files i
mentioned above and in modules.dep, but it still has the same problem.

Am I going about the correct route to add a module to the boot disk?
Comment 6 Brock Organ 2000-11-03 10:25:10 EST
verified this behavior in both 6.2 & 7 ... since the aic7xxx module is loaded in
stage 2 (after reading the ks file), pointing the kickstart file to a
drive/partition will not work ...

thanks for your report!
Comment 7 Erik Troan 2000-12-08 14:42:46 EST
You have to use the boot.img file; it you are trying to load the kickstart file
from the hard drive and then do an nfs, ftp, or http install you are just out of
luck.Only cdrom and hard drive kickstart's are supported when the kickstart file
resides on the local hard drive.

This is really a problem with disk space; the boot disk isn't big enough to
store both the scsi modules and the networking modules we need.You may be able
to use a driver disk hack with a driver disk on the hard drive along with the
kcisktart file, but that's not supported either.

Note You need to log in before you can comment on or make changes to this bug.